////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /    Vendor: Xilinx 
// \   \   \/     Version : 10.1.03
//  \   \         Application : sch2verilog
//  /   /         Filename : main.vf
// /___/   /\     Timestamp : 02/18/2009 18:43:33
// \   \  /  \ 
//  \___\/\___\ 
//
//Command: C:\Xilinx\10.1\ISE\bin\nt\unwrapped\sch2verilog.exe -intstyle ise -family xc9500xl -w D:/e-/jtag-stuff/cpld-bsp-1/main.sch main.vf
//Design Name: main
//Device: xc9500xl
//Purpose:
//    This verilog netlist is translated from an ECS schematic.It can be 
//    synthesized and simulated, but it should not be modified. 
//
`timescale 1ns / 1ps

module FTCE_MXILINX_main(C, 
                         CE, 
                         CLR, 
                         T, 
                         Q);

    input C;
    input CE;
    input CLR;
    input T;
   output Q;
   
   wire TQ;
   wire Q_DUMMY;
   
   assign Q = Q_DUMMY;
   XOR2 I_36_32 (.I0(T), 
                 .I1(Q_DUMMY), 
                 .O(TQ));
   FDCE I_36_35 (.C(C), 
                 .CE(CE), 
                 .CLR(CLR), 
                 .D(TQ), 
                 .Q(Q_DUMMY));
endmodule
`timescale 1ns / 1ps

module CB8CE_MXILINX_main(C, 
                          CE, 
                          CLR, 
                          CEO, 
                          Q, 
                          TC);

    input C;
    input CE;
    input CLR;
   output CEO;
   output [7:0] Q;
   output TC;
   
   wire T2;
   wire T3;
   wire T4;
   wire T5;
   wire T6;
   wire T7;
   wire XLXN_1;
   wire [7:0] Q_DUMMY;
   wire TC_DUMMY;
   
   assign Q[7:0] = Q_DUMMY[7:0];
   assign TC = TC_DUMMY;
   AND5 I_36_1 (.I0(Q_DUMMY[7]), 
                .I1(Q_DUMMY[6]), 
                .I2(Q_DUMMY[5]), 
                .I3(Q_DUMMY[4]), 
                .I4(T4), 
                .O(TC_DUMMY));
   AND2 I_36_2 (.I0(Q_DUMMY[4]), 
                .I1(T4), 
                .O(T5));
   AND3 I_36_11 (.I0(Q_DUMMY[5]), 
                 .I1(Q_DUMMY[4]), 
                 .I2(T4), 
                 .O(T6));
   AND4 I_36_15 (.I0(Q_DUMMY[3]), 
                 .I1(Q_DUMMY[2]), 
                 .I2(Q_DUMMY[1]), 
                 .I3(Q_DUMMY[0]), 
                 .O(T4));
   VCC I_36_16 (.P(XLXN_1));
   AND2 I_36_24 (.I0(Q_DUMMY[1]), 
                 .I1(Q_DUMMY[0]), 
                 .O(T2));
   AND3 I_36_26 (.I0(Q_DUMMY[2]), 
                 .I1(Q_DUMMY[1]), 
                 .I2(Q_DUMMY[0]), 
                 .O(T3));
   AND4 I_36_28 (.I0(Q_DUMMY[6]), 
                 .I1(Q_DUMMY[5]), 
                 .I2(Q_DUMMY[4]), 
                 .I3(T4), 
                 .O(T7));
   AND2 I_36_31 (.I0(CE), 
                 .I1(TC_DUMMY), 
                 .O(CEO));
   FTCE_MXILINX_main Q0 (.C(C), 
                         .CE(CE), 
                         .CLR(CLR), 
                         .T(XLXN_1), 
                         .Q(Q_DUMMY[0]));
   // synthesis attribute HU_SET of Q0 is "Q0_6"
   FTCE_MXILINX_main Q1 (.C(C), 
                         .CE(CE), 
                         .CLR(CLR), 
                         .T(Q_DUMMY[0]), 
                         .Q(Q_DUMMY[1]));
   // synthesis attribute HU_SET of Q1 is "Q1_7"
   FTCE_MXILINX_main Q2 (.C(C), 
                         .CE(CE), 
                         .CLR(CLR), 
                         .T(T2), 
                         .Q(Q_DUMMY[2]));
   // synthesis attribute HU_SET of Q2 is "Q2_3"
   FTCE_MXILINX_main Q3 (.C(C), 
                         .CE(CE), 
                         .CLR(CLR), 
                         .T(T3), 
                         .Q(Q_DUMMY[3]));
   // synthesis attribute HU_SET of Q3 is "Q3_4"
   FTCE_MXILINX_main Q4 (.C(C), 
                         .CE(CE), 
                         .CLR(CLR), 
                         .T(T4), 
                         .Q(Q_DUMMY[4]));
   // synthesis attribute HU_SET of Q4 is "Q4_5"
   FTCE_MXILINX_main Q5 (.C(C), 
                         .CE(CE), 
                         .CLR(CLR), 
                         .T(T5), 
                         .Q(Q_DUMMY[5]));
   // synthesis attribute HU_SET of Q5 is "Q5_2"
   FTCE_MXILINX_main Q6 (.C(C), 
                         .CE(CE), 
                         .CLR(CLR), 
                         .T(T6), 
                         .Q(Q_DUMMY[6]));
   // synthesis attribute HU_SET of Q6 is "Q6_1"
   FTCE_MXILINX_main Q7 (.C(C), 
                         .CE(CE), 
                         .CLR(CLR), 
                         .T(T7), 
                         .Q(Q_DUMMY[7]));
   // synthesis attribute HU_SET of Q7 is "Q7_0"
endmodule
`timescale 1ns / 1ps

module OBUF4_MXILINX_main(I0, 
                          I1, 
                          I2, 
                          I3, 
                          O0, 
                          O1, 
                          O2, 
                          O3);

    input I0;
    input I1;
    input I2;
    input I3;
   output O0;
   output O1;
   output O2;
   output O3;
   
   
   OBUF I_36_30 (.I(I0), 
                 .O(O0));
   OBUF I_36_31 (.I(I1), 
                 .O(O1));
   OBUF I_36_32 (.I(I2), 
                 .O(O2));
   OBUF I_36_33 (.I(I3), 
                 .O(O3));
endmodule
`timescale 1ns / 1ps

module M2_1_MXILINX_main(D0, 
                         D1, 
                         S0, 
                         O);

    input D0;
    input D1;
    input S0;
   output O;
   
   wire M0;
   wire M1;
   
   AND2B1 I_36_7 (.I0(S0), 
                  .I1(D0), 
                  .O(M0));
   OR2 I_36_8 (.I0(M1), 
               .I1(M0), 
               .O(O));
   AND2 I_36_9 (.I0(D1), 
                .I1(S0), 
                .O(M1));
endmodule
`timescale 1ns / 1ps

module SR4CLE_MXILINX_main(C, 
                           CE, 
                           CLR, 
                           D0, 
                           D1, 
                           D2, 
                           D3, 
                           L, 
                           SLI, 
                           Q0, 
                           Q1, 
                           Q2, 
                           Q3);

    input C;
    input CE;
    input CLR;
    input D0;
    input D1;
    input D2;
    input D3;
    input L;
    input SLI;
   output Q0;
   output Q1;
   output Q2;
   output Q3;
   
   wire L_OR_CE;
   wire MD0;
   wire MD1;
   wire MD2;
   wire MD3;
   wire Q0_DUMMY;
   wire Q1_DUMMY;
   wire Q2_DUMMY;
   
   assign Q0 = Q0_DUMMY;
   assign Q1 = Q1_DUMMY;
   assign Q2 = Q2_DUMMY;
   OR2 I_36_51 (.I0(L), 
                .I1(CE), 
                .O(L_OR_CE));
   M2_1_MXILINX_main MQ0 (.D0(SLI), 
                          .D1(D0), 
                          .S0(L), 
                          .O(MD0));
   // synthesis attribute HU_SET of MQ0 is "MQ0_8"
   M2_1_MXILINX_main MQ1 (.D0(Q0_DUMMY), 
                          .D1(D1), 
                          .S0(L), 
                          .O(MD1));
   // synthesis attribute HU_SET of MQ1 is "MQ1_9"
   M2_1_MXILINX_main MQ2 (.D0(Q1_DUMMY), 
                          .D1(D2), 
                          .S0(L), 
                          .O(MD2));
   // synthesis attribute HU_SET of MQ2 is "MQ2_10"
   M2_1_MXILINX_main MQ3 (.D0(Q2_DUMMY), 
                          .D1(D3), 
                          .S0(L), 
                          .O(MD3));
   // synthesis attribute HU_SET of MQ3 is "MQ3_11"
   FDCE U0 (.C(C), 
            .CE(L_OR_CE), 
            .CLR(CLR), 
            .D(MD0), 
            .Q(Q0_DUMMY));
   FDCE U1 (.C(C), 
            .CE(L_OR_CE), 
            .CLR(CLR), 
            .D(MD1), 
            .Q(Q1_DUMMY));
   FDCE U2 (.C(C), 
            .CE(L_OR_CE), 
            .CLR(CLR), 
            .D(MD2), 
            .Q(Q2_DUMMY));
   FDCE U3 (.C(C), 
            .CE(L_OR_CE), 
            .CLR(CLR), 
            .D(MD3), 
            .Q(Q3));
endmodule
`timescale 1ns / 1ps

module main(clk, 
            clk_buf_in, 
            reset_in, 
            clk_buf_out, 
            led_0, 
            led_1, 
            led_2, 
            led_3);

    input clk;
    input clk_buf_in;
    input reset_in;
   output clk_buf_out;
   output led_0;
   output led_1;
   output led_2;
   output led_3;
   
   wire reset;
   wire XLXN_1;
   wire XLXN_2;
   wire XLXN_3;
   wire XLXN_4;
   wire XLXN_5;
   wire XLXN_9;
   wire XLXN_10;
   wire XLXN_11;
   wire XLXN_12;
   wire XLXN_13;
   wire XLXN_27;
   wire XLXN_29;
   
   SR4CLE_MXILINX_main XLXI_2 (.C(clk), 
                               .CE(XLXN_27), 
                               .CLR(XLXN_29), 
                               .D0(XLXN_1), 
                               .D1(XLXN_2), 
                               .D2(XLXN_3), 
                               .D3(XLXN_4), 
                               .L(reset), 
                               .SLI(XLXN_5), 
                               .Q0(XLXN_10), 
                               .Q1(XLXN_11), 
                               .Q2(XLXN_12), 
                               .Q3(XLXN_5));
   // synthesis attribute HU_SET of XLXI_2 is "XLXI_2_12"
   VCC XLXI_3 (.P(XLXN_1));
   GND XLXI_4 (.G(XLXN_2));
   GND XLXI_5 (.G(XLXN_3));
   GND XLXI_6 (.G(XLXN_4));
   INV XLXI_10 (.I(clk_buf_in), 
                .O(clk_buf_out));
   VCC XLXI_14 (.P(XLXN_9));
   OBUF4_MXILINX_main XLXI_15 (.I0(XLXN_10), 
                               .I1(XLXN_11), 
                               .I2(XLXN_12), 
                               .I3(XLXN_5), 
                               .O0(led_0), 
                               .O1(led_1), 
                               .O2(led_2), 
                               .O3(led_3));
   // synthesis attribute HU_SET of XLXI_15 is "XLXI_15_13"
   CB8CE_MXILINX_main XLXI_16 (.C(clk), 
                               .CE(XLXN_9), 
                               .CLR(reset), 
                               .CEO(XLXN_13), 
                               .Q(), 
                               .TC());
   // synthesis attribute HU_SET of XLXI_16 is "XLXI_16_14"
   CB8CE_MXILINX_main XLXI_18 (.C(clk), 
                               .CE(XLXN_13), 
                               .CLR(reset), 
                               .CEO(XLXN_27), 
                               .Q(), 
                               .TC());
   // synthesis attribute HU_SET of XLXI_18 is "XLXI_18_15"
   GND XLXI_20 (.G(XLXN_29));
   INV XLXI_22 (.I(reset_in), 
                .O(reset));
endmodule
